%global libdnf_version 0.62.0

Name:           microdnf
Version: 3.10.1
Release: 20241224010333.0.gb9dc5fe%{?dist}
Summary:        Lightweight implementation of DNF in C

License:        GPL-2.0-or-later
URL:            https://github.com/rpm-software-management/microdnf
Source0: microdnf-3.10.1-20241224010333.0.gb9dc5fe.tar.xz

BuildRequires:  gcc
BuildRequires:  meson >= 0.36.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.44.0
BuildRequires:  pkgconfig(libpeas-1.0) >= 1.20.0
BuildRequires:  (pkgconfig(libdnf) >= %{libdnf_version} with pkgconfig(libdnf) < 5)
BuildRequires:  pkgconfig(smartcols)
BuildRequires:  help2man

Requires:       libdnf%{?_isa} >= %{libdnf_version}
%if 0%{?rhel} > 8 || 0%{?fedora}
# Ensure DNF package manager configuration skeleton is installed
Requires:       /etc/dnf/dnf.conf
%endif

%description
Micro DNF is a lightweight C implementation of DNF, designed to be used
for doing simple packaging actions when you don't need full-blown DNF and
you want the tiniest useful environments possible.

That is, you don't want any interpreter stack and you want the most
minimal environment possible so you can build up to exactly what you need.


%prep
%autosetup -p1 -n microdnf-3.10.1-20241224010333.0.gb9dc5fe

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING
%doc README.md
%{_mandir}/man8/microdnf.8*
%{_bindir}/%{name}

%changelog
* Wed Dec 11 2024 rpm-gitoverlay - 3.10.1-20241224010333.0.gb9dc5fe
- [b9dc5fe] Release 3.10.1 (Evan Goode)
- [caf3170] Print more helpful error message when reinstalling non-installed pkg (Evan Goode)
- [4e82be8] Corrected spelling of summary (Dermot Hardy)
- [a600c62] Don't use libdnf5 as a dependency (Jan Kolarik)